Subject: bug#25690: make install-html broken

From: Assaf Gordon <[email-masked]>
Date: Sat, 11 Feb 2017 21:52:33 +0000

Hello Eric,

On Sat, Feb 11, 2017 at 09:18:11AM -0600, Eric Blake wrote:
>Attempts to do 'make install-html' fail with:
>
>make[1]: Leaving directory '/usr/src/sed-4.4-1.i686/build'
>Making install-html in po
>make[1]: Entering directory '/usr/src/sed-4.4-1.i686/build/po'
>make[1]: *** No rule to make target 'install-html'.  Stop.
>make[1]: Leaving directory '/usr/src/sed-4.4-1.i686/build/po'
>make: *** [Makefile:3027: install-html-recursive] Error 1
>
>Prior to sed 4.3, this didn't matter - you could work around the problem
>by using 'make -C doc install-html'.  But with the addition of commit
>3b29bece converting to non-recursive makefiles, there is now no
>doc/Makefile, and therefore no way to install the html.  I'm not quite
>sure of the best way to get po/Makefile to support a no-op install-html
>target.

The switch to non-recursive makefiles was modeld as closely as
possible after coreutils, and I see the same error when trying
'make install-html' in coreutils.

Not that this makes it OK, but it hints that this is not
specific problem in sed's build system.

If there's a suggested solution, I'm happy to use it.
Otherwise, I'll try to dig in and see how to fix it,
but it might take a bit longer.

regards,
 - assaf